This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 224225 - RuntimeException: Cria
Summary: RuntimeException: Cria
Status: RESOLVED FIXED
Alias: None
Product: javaee
Classification: Unclassified
Component: Persistence (show other bugs)
Version: 7.2
Hardware: All All
: P3 normal (vote)
Assignee: Sergey Petrov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-26 09:41 UTC by maramajo
Modified: 2012-12-28 09:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter: 139283


Attachments
stacktrace (1.67 KB, text/plain)
2012-12-26 09:41 UTC, maramajo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description maramajo 2012-12-26 09:41:44 UTC
Build: NetBeans IDE 7.2.1 (Build 201210100934)
VM: Java HotSpot(TM) Client VM, 23.5-b02, Java(TM) SE Runtime Environment, 1.7.0_09-b05
OS: Windows 7

User Comments:
GUEST: cannot add new entity/new entity from database on my project

cmathrusse: I was attempting to create a new Entity class. Context Menu selected from a selected package, selected New -> Entity.

maramajo: Estava no step Adding Session Beans do tutorial AffableBean,, quando recebi essa excess
Comment 1 maramajo 2012-12-26 09:41:46 UTC
Created attachment 129688 [details]
stacktrace
Comment 2 Sergey Petrov 2012-12-26 10:50:39 UTC
workaround: you need to fix your persistence.xml (it's not well formed or valid)
Comment 3 Sergey Petrov 2012-12-27 14:47:27 UTC
http://hg.netbeans.org/web-main/rev/42112ecb5894 exception is caught as it's done already for another persistence.xml parsing exception.
if corrupted persistence.xml is created by nb, it's another issue, may need to be filed and investigated.
Comment 4 Quality Engineering 2012-12-28 02:26:34 UTC
Integrated into 'main-golden', will be available in build *201212280001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/42112ecb5894
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #224225 catch schema creation exception (same as invalide persistence xml exception)
Comment 5 maramajo 2012-12-28 09:54:40 UTC
Thank you for your help, Sergey!
José
(In reply to comment #4)
> Integrated into 'main-golden', will be available in build *201212280001* on
> http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
> Changeset: http://hg.netbeans.org/main-golden/rev/42112ecb5894
> User: Sergey B. Petrov <sj-nb@netbeans.org>
> Log: #224225 catch schema creation exception (same as invalide persistence xml
> exception)